cURL
curl --request GET \
--url https://api.recoupable.com/api/posts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/posts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"posts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"error": "<string>"
}Posts
Get Artist Posts
Retrieve all social media posts from an artist across all platforms. This endpoint aggregates posts from all connected social media profiles for the specified artist. Supports pagination for large post collections.
GET
/
api
/
posts
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the artist account to fetch posts for
The page number to retrieve (default: 1)
The number of records per page (default: 20, max: 100)
Required range:
x <= 100Response
Artist posts retrieved successfully
